<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="480680e5-54f0-404a-8bf9-8446b1dc4feb" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/brighterion/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/brighterion/Main.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/brighterion/series/Fibonacci/FibonacciCalculator.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/brighterion/series/Fibonacci/FibonacciCalculator.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/brighterion/series/SeriesCalculator.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/brighterion/series/SeriesCalculator.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/TestSeriesCalculator.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/TestSeriesCalculator.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="15" column="61" selection-start-line="15" selection-start-column="61" selection-end-line="15" selection-end-column="61" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/CalculateStrategy.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" column="25" selection-start-line="6" selection-start-column="25" selection-end-line="6" selection-end-column="25" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/PrintStrategy.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" column="9" selection-start-line="6" selection-start-column="9" selection-end-line="6" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Fibonacci/FibonacciCalculator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="270">
              <caret line="18" column="54" lean-forward="true" selection-start-line="18" selection-start-column="54" selection-end-line="18" selection-end-column="54" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#342#354#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="26" selection-start-line="26" selection-end-line="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintAllNumbers.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="315">
              <caret line="21" column="5" lean-forward="true" selection-start-line="21" selection-start-column="5" selection-end-line="21" selection-end-column="5" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="75">
                <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintTheLastNumber.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="165">
              <caret line="11" column="24" selection-start-line="11" selection-start-column="24" selection-end-line="11" selection-end-column="24" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/test/java/TestSeriesCalculator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="196">
              <caret line="66" column="39" selection-start-line="66" selection-start-column="39" selection-end-line="66" selection-end-column="39" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#641#642#0" expanded="true" />
                <element signature="e#699#700#0" expanded="true" />
                <element signature="e#2829#2830#0" expanded="true" />
                <element signature="e#2871#2872#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/SeriesCalculator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="13" column="43" selection-start-line="13" selection-start-column="43" selection-end-line="13" selection-end-column="43" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#586#587#0" expanded="true" />
                <element signature="e#639#640#0" expanded="true" />
                <element signature="e#738#739#0" expanded="true" />
                <element signature="e#785#786#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/com/brighterion/interfaces/SeriesCalculator.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Fibonacci.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Fibonacci/Fibonacci.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/Calculator.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Fibonacci/SeriesCalculator.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/interfaces/PrintType.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/interfaces/CalculateType.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/interfaces/PrintStrategy.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/interfaces/CalculateStrategy.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Fibonacci/FibonacciCalculator.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/SeriesCalculator.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/Main.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Printer/PrintAllNumbers.java" />
        <option value="$PROJECT_DIR$/src/com/brighterion/series/Printer/PrintTheLastResult.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/CalculateStrategy.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/PrintStrategy.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintTheLastResult.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintTheLastNumber.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintAllNumbers.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/series/SeriesCalculator.java" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/Main.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/brighterion/series/Fibonacci/FibonacciCalculator.java" />
        <option value="$PROJECT_DIR$/src/test/java/TestSeriesCalculator.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="MathematicsCalculator" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="MathematicsCalculator" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1440" />
    <option name="height" value="877" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="brighterion" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="brighterion" type="462c0819:PsiDirectoryNode" />
              <item name="series" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="brighterion" type="462c0819:PsiDirectoryNode" />
              <item name="series" type="462c0819:PsiDirectoryNode" />
              <item name="Fibonacci" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MathematicsCalculator" type="b2602c69:ProjectViewProjectNode" />
              <item name="MathematicsCalculator" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1557572416312" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.TestSeriesCalculator">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="com.brighterion.Main" />
      <module name="MathematicsCalculator" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestSeriesCalculator" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="MathematicsCalculator" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestSeriesCalculator" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Main" />
      <item itemvalue="JUnit.TestSeriesCalculator" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.TestSeriesCalculator" />
        <item itemvalue="Application.Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="480680e5-54f0-404a-8bf9-8446b1dc4feb" name="Default Changelist" comment="" />
      <created>1557524982563</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1557524982563</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 02h 43m 16s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 02h 45m 50s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 02h 54m 46s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 02m 53s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 03m 19s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 04m 56s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 05m 56s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 10m 33s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 11m 39s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestSeriesCalculator - 2019.05.11 at 03h 57m 21s.xml">
      <configuration name="TestSeriesCalculator" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1440" height="877" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Capture Tool" />
      <window_info id="UI Designer" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Designer" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.25" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" weight="0.3299363" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" weight="0.3299363" />
      <window_info anchor="bottom" id="Database Changes" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.3299363" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Maven" weight="0.3295129" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Remote Host" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Connector for AWS Lambda" side_tool="true" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Designer" order="0" />
      <window_info id="Image Layers" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="UI Designer" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="5" visible="true" weight="0.25" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" weight="0.3299363" />
      <window_info anchor="bottom" id="Docker" order="1" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="3" weight="0.3299363" />
      <window_info anchor="bottom" id="Database Changes" order="4" />
      <window_info anchor="bottom" id="Version Control" order="5" />
      <window_info anchor="bottom" id="Message" order="6" />
      <window_info anchor="bottom" id="Find" order="7" />
      <window_info active="true" anchor="bottom" id="Run" order="8" visible="true" weight="0.3299363" />
      <window_info anchor="bottom" id="Debug" order="9" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="10" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="11" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="12" />
      <window_info anchor="right" id="Maven" order="0" visible="true" weight="0.3295129" />
      <window_info anchor="right" id="Palette" order="1" />
      <window_info anchor="right" id="Remote Host" order="2" />
      <window_info anchor="right" id="Capture Analysis" order="3" />
      <window_info anchor="right" id="Connector for AWS Lambda" order="4" side_tool="true" />
      <window_info anchor="right" id="Database" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Theme Preview" order="7" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="8" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="9" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="10" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/com/brighterion/series/Fibonacci/SeriesCalculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="40" selection-start-column="31" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/brighterion/Calculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_11.jdk/Contents/Home/src.zip!/java/lang/IllegalArgumentException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="35" column="6" selection-start-line="35" selection-start-column="6" selection-end-line="35" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" selection-start-line="26" selection-end-line="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/CalculateStrategy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="25" selection-start-line="6" selection-start-column="25" selection-end-line="6" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/interfaces/PrintStrategy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="9" selection-start-line="6" selection-start-column="9" selection-end-line="6" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/SeriesCalculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="13" column="43" selection-start-line="13" selection-start-column="43" selection-end-line="13" selection-end-column="43" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#586#587#0" expanded="true" />
            <element signature="e#639#640#0" expanded="true" />
            <element signature="e#738#739#0" expanded="true" />
            <element signature="e#785#786#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintTheLastNumber.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="24" selection-start-line="11" selection-start-column="24" selection-end-line="11" selection-end-column="24" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Printer/PrintAllNumbers.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="21" column="5" lean-forward="true" selection-start-line="21" selection-start-column="5" selection-end-line="21" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="75">
            <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="15" column="61" selection-start-line="15" selection-start-column="61" selection-end-line="15" selection-end-column="61" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/brighterion/series/Fibonacci/FibonacciCalculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="54" lean-forward="true" selection-start-line="18" selection-start-column="54" selection-end-line="18" selection-end-column="54" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#342#354#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/TestSeriesCalculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="66" column="39" selection-start-line="66" selection-start-column="39" selection-end-line="66" selection-end-column="39" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#641#642#0" expanded="true" />
            <element signature="e#699#700#0" expanded="true" />
            <element signature="e#2829#2830#0" expanded="true" />
            <element signature="e#2871#2872#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>